#

#include "style.h"
#include <stdio.h>

/*
 *	help.c: print out help messages
 */

CONST	char	*_S_help	"@(#)help.c	1.7";

/*
 *	help: print out help message
 */

PROCEDURE help()

BEGIN	printf("COMMANDS\n\n");

	printf("quit\n");
	printf("<newline> (next word)\n");
	printf("^ (previous word)\n");
	printf("- [ <sourcename> ] (previous table entry)\n");
	printf("+ [ <sourcename> ] (next table entry)\n");
	printf(". (current contents)\n");
	printf("= (current address)\n");
	printf("! (shell escape)\n");
	printf("data <dataadr>,<bytes = N>\n");
	printf("display (next N bytes)\n");
	printf("label <labelname>,<bytes = N>\n");
	printf("look <physadr>,<physadr>\n");
	printf("mode [ octal decimal hexidecimal byte char ]\n");
	printf("name <sourcename>,<bytes = N>\n");
	printf("next [ <sourcename> ] (next table entry)\n");
	printf("ppt <processnumber>,<numberentries>\n");
	printf("previous [ <sourcename> ] (previous table entry)\n");
	printf("registers\n");
	printf("signal [ <signaladdress> <signalname> ]\n");
	printf("stack <processnumber>,<stackaddress>,<bytes = N>\n");
	printf("table <sourcename>,<tableindex>\n");
	printf("text <textadr>,<bytes = N>\n");
	putchar('\n');
END
